import request from '@/config/axios'

// 获取当前企业用户的面试信息分页
export const getInterviewInvitePage = async (params) => {
  return await request.get({
    url: '/app-admin-api/menduner/system/interview-invite/page',
    params
  })
}

// 面试-保存、重新邀约
export const saveInterviewInvite = async (data) => {
  return await request.post({
    url: '/app-admin-api/menduner/system/interview-invite/save',
    data
  })
}

// 取消面试
export const cancelInterviewInvite = async (data) => {
  return await request.post({
    url: '/app-admin-api/menduner/system/interview-invite/cancellation',
    data
  })
}