import Snackbar from '@/plugins/snackbar'

const prefixList = ['/app-api', '/admin-api']
export const getSuffixAfterPrefix = (str) => {
  const matchingPrefix = prefixList.find(prefix => str.startsWith(prefix))
  if (matchingPrefix) {
    const matchUrl = str.slice(matchingPrefix.length)
    const hasQuery = matchUrl.indexOf('?') !== -1
    if (hasQuery) {
      const arr = matchUrl.split('?')
      return arr[0]
    }
    else return matchUrl
  }
  return undefined
}



// 展示积分
export function showNextAction (list, currentIndex = 0) {
  if (currentIndex < list.length) {
    const action = list[currentIndex]
    if (action.match) {
      Snackbar.success(`恭喜您${action.title}获得${action.point}积分`)
      setTimeout(() => {
        showNextAction(list, currentIndex + 1)
      }, 3000)
    } else {
      setTimeout(() => {
        showNextAction(list, currentIndex + 1)
      }, 0)
    }
  }
}